Bug 2956 - File Transfer fails fails when container is started from non GLOBUS_LOCATION
: File Transfer fails fails when container is started from non GLOBUS_LOCATION
Status: RESOLVED FIXED
: RFT
RFT
: 3.9.5
: PC Windows 2000
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-16 03:40 by
Modified: 2005-04-14 11:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-16 03:40:57
File transfer fails when the container is started from non GLOBUS_LOCATION.
This issue is directly related to bugzilla 2899 "relative path does not work for
credentials in Security Descriptor".
Here is the environment settings on the m/c before executing rft command.
1) GLOBUS_LOCATION=/opt/gtk4
2) The Following environment variables set
a.GRID_SECURITY_DIR=$GLOBUS_LOCATION/etc/grid-security
b.GRIDMAP=$GLOBUS_LOCATION/etc/grid-security/grid-mapfile
c.X509_CERT_DIR=$GLOBUS_LOCATION/share/certificates
3)
The $GLOBUS_LOCATION/etc/globus_wsrf_core/global_security_config.xml entry is as
below.
<securityConfig xmlns="http://www.globus.org">
    <credential>
        <key-file value="etc/grid-security/containerkey.pem"/>
        <cert-file value="etc/grid-security/containercert.pem"/>
    </credential>
<gridmap value="etc/grid-security/grid-mapfile"/>
</securityConfig>
4)Used relative path for gridmap entry in required security-config files for rft
 service 
5) Container was started successfully from /home/globus (non GLOBUS_LOCATION)
6) Executed $GLOBUS_LOCATION/bin/rft -f
./share/globus_wsrf_gram_service_test_unit/test.xml 

(Note: From the debug messages what i could read, i feel it is failing while
calling getSystemSubject method 
2005-03-16 07:47:45,909 DEBUG security.SecurityManagerImpl
[Thread-9,getSystemSubject:76] [SEC] Error obtaining container credentials )

Server Side logs (Detail logs)
005-03-15 06:22:37,038 DEBUG authorization.ServiceAuthorizationChain
[Thread-8,authorize:262] Target operation is
"{http://www.globus.org/namespaces/2004/10/rft}subscribe". Called by subject
"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=ibmgrid"
2005-03-15 06:22:37,039 DEBUG authorization.ServiceAuthorizationChain
[Thread-8,intercept:209] Interceptor
org.globus.wsrf.impl.security.authorization.GridMapAuthorization
2005-03-15 06:22:37,040 DEBUG authorization.GridMapAuthorization
[Thread-8,isPermitted:96] Grid map authz
2005-03-15 06:22:37,043 DEBUG impl.ResourceContextImpl
[Thread-8,getResource:158] resource key:
{http://www.globus.org/namespaces/2004/10/rft}TransferKey=51
2005-03-15 06:22:37,044 DEBUG impl.ResourceContextImpl
[Thread-8,getResource:164] Found resource:
org.globus.transfer.reliable.service.ReliableFileTransferResource@5a36f590
2005-03-15 06:22:37,045 DEBUG authorization.GridMapAuthorization
[Thread-8,isPermitted:121] Service ReliableFileTransferService
2005-03-15 06:22:37,046 DEBUG descriptor.SecurityPropertiesHelper
[Thread-8,getGridMap:197] getGridMap ReliableFileTransferService
2005-03-15 06:22:37,047 DEBUG descriptor.SecureResourcePropertiesHelper
[Thread-8,getResourceSecDescriptor:147] secure resource, retruning descriptor
2005-03-15 06:22:37,048 DEBUG descriptor.SecurityConfig
[Thread-8,loadGridMap:341] No gridmap file specified.
2005-03-15 06:22:37,049 DEBUG authorization.GridMapAuthorization
[Thread-8,isPermitted:160] Peer
"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=ibmgrid"
authorized as "ibmgrid"
2005-03-15 06:22:37,051 INFO  authorization.ServiceAuthorizationChain
[Thread-8,authorize:281] Authorized
"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=ibmgrid" to
invoke "{http://www.globus.org/namespaces/2004/10/rft}subscribe".
2005-03-15 06:22:37,053 DEBUG providers.RPCProvider
[Thread-8,getServiceObject:64] Invoking 'subscribe' operation on
org.globus.wsrf.impl.notification.SubscribeProvider@898f59c
2005-03-15 06:22:37,085 DEBUG impl.ResourceContextImpl
[Thread-8,getResource:158] resource key:
{http://www.globus.org/namespaces/2004/10/rft}TransferKey=51
2005-03-15 06:22:37,086 DEBUG impl.ResourceContextImpl
[Thread-8,getResource:164] Found resource:
org.globus.transfer.reliable.service.ReliableFileTransferResource@5a36f590
2005-03-15 06:22:37,292 DEBUG descriptor.ContainerSecurityConfig
[Thread-8,getConfig:74] initialize called
2005-03-15 06:22:37,307 DEBUG notification.SubscribeHelper
[Thread-8,subscribe:201] class org.apache.axis.types.URI
2005-03-15 06:22:37,373 DEBUG descriptor.ServiceSecurityConfig
[Thread-8,initialize:82] No security descriptor for: SubscriptionManagerService
2005-03-15 06:22:37,376 DEBUG descriptor.ServiceSecurityConfig
[Thread-8,refresh:170] Refresh called SubscriptionManagerService
2005-03-15 06:22:37,378 DEBUG descriptor.ServiceSecurityConfig
[Thread-8,initialize:82] No security descriptor for: SubscriptionManagerService
2005-03-15 06:22:37,382 DEBUG security.SecurityManagerImpl
[Thread-8,getSystemSubject:70] Get system subject
2005-03-15 06:22:37,385 DEBUG descriptor.ContainerSecurityConfig
[Thread-8,getConfig:74] initialize called
2005-03-15 06:22:37,387 DEBUG descriptor.ContainerSecurityConfig
[Thread-8,refresh:230] Refreshing container security descriptor
2005-03-15 06:22:37,390 DEBUG descriptor.ContainerSecurityConfig
[Thread-8,initCredentials:136] Init creds called
2005-03-15 06:22:37,392 DEBUG descriptor.ContainerSecurityConfig
[Thread-8,initCredentials:139] Not null, calling load creds
2005-03-15 06:22:37,395 DEBUG descriptor.SecurityConfig
[Thread-8,loadCredentials:287] Loading credential: cert =
'etc/grid-security/containercert.pem' key = 'etc/grid-security/containerkey.pem'
2005-03-15 06:22:37,397 DEBUG descriptor.SecurityConfig
[Thread-8,resolvePath:459] File etc/grid-security/containerkey.pem does not
exist wrt currentdir
2005-03-15 06:22:37,402 DEBUG security.SecurityManagerImpl
[Thread-8,getSystemSubject:76] [SEC] Error obtaining container credentials

. Caused by
org.globus.wsrf.config.ConfigException: Failed to load key file:
"etc/grid-security/containerkey.pem"
        at
org.globus.wsrf.impl.security.descriptor.SecurityConfig.getConfigDir(SecurityConfig.java:443)
a:443)
        at
org.globus.wsrf.impl.security.descriptor.SecurityConfig.resolvePath(SecurityConfig.java:461)
        at
org.globus.wsrf.impl.security.descriptor.SecurityConfig.loadCredentials(SecurityConfig.java:290)
        at
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.initCredentials(ContainerSecurityConfig.java:141)
        at
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.refresh(ContainerSecurityConfig.java:231)
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getSystemSubject(SecurityManagerImpl.java:73)
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:124)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:65)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
 at org.globus.wsrf.jndi.JNDIUtils.lookup(JNDIUtils.java:227)
        at
org.globus.wsrf.impl.ResourceHomeImpl.initialize(ResourceHomeImpl.java:200)
        at
org.globus.wsrf.impl.notification.SubscriptionHome.initialize(SubscriptionHome.java:45)
        at
org.globus.wsrf.jndi.BasicBeanFactory.getObjectInstance(BasicBeanFactory.java:35)
        at org.globus.wsrf.jndi.BeanFactory.getInstance(BeanFactory.java:110)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:76)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)

       at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at
org.globus.wsrf.impl.notification.SubscribeHelper.subscribe(SubscribeHelper.java:212)
        at
org.globus.wsrf.impl.notification.SubscribeProvider.subscribe(SubscribeProvider.java:90)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java(Compiled
Code))
        at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
        at
org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384)
        at
org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104)
        at
org.globus.axis.providers.PrivilegedInvokeMethodAction.run(PrivilegedInvokeMethodAction.java:39)
        at java.security.AccessController.doPrivileged1(Native Method)
        at
java.security.AccessController.doPrivileged(AccessController.java(Compiled Code))
        at javax.security.auth.Subject.doAs(Subject.java:555)
        at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
        at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
        at org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94)
        at
org.apache.axis.providers.java.RPCProvider.processMessage(RPCProvider.java:281)
        at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
        at org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450)

   at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
        at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:662)
        at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:393)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124)
        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:297)
2005-03-15 06:22:37,408 DEBUG security.SecurityManagerImpl
[Thread-8,getServiceSubject:126] [SEC] Service credentials not configured and
was not able to obtain container credentials.
org.globus.wsrf.security.SecurityException: [SEC] Error obtaining container
credentials; nested exception is:
        org.globus.wsrf.config.ConfigException:  [Caused by: Failed to load key
file: "etc/grid-security/containerkey.pem"]
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getSystemSubject(SecurityManagerImpl.java:77)
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:124)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:65)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
-------------------XXXXXXXXXXXXXXX----------------------------------------------
Client Logs
--
2005-03-15 06:22:37,627 DEBUG gssapi.GlobusGSSContextImpl [main,unwrap:865] exit
unwrap
2005-03-15 06:22:37,745 DEBUG gssapi.GlobusGSSContextImpl [main,unwrap:824]
enter unwrap
2005-03-15 06:22:37,762 DEBUG gssapi.GlobusGSSContextImpl [main,unwrap:865] exit
unwrap
2005-03-15 06:22:37,889 DEBUG gssapi.GlobusGSSContextImpl [main,dispose:907] dipose
2005-03-15 06:22:37,914 DEBUG handlers.MessageLoggingHandler
[main,logMessage:48] SOAPEnvelope: <?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:3e92fa70-9512-11d9-a417-f21bb90fd55a</wsa:MessageID><wsa:Action
soapenv:mustUnderstand="0">http://schemas.xmlsoap.org/ws/2004/03/addressing/fault</wsa:Action><wsa:From
soapenv:mustUnderstand="0"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft"><wsa:Address>https://lnxwsrf4.boeblingen.de.ibm.com:8443/wsrf/services/ReliableFileTransferService</wsa:Address><wsa:ReferenceProperties><ns1:TransferKey
soapenv:mustUnderstand="0">51</ns1:TransferKey></wsa:ReferenceProperties></wsa:From><wsa:RelatesTo
RelationshipType="wsa:Reply"
soapenv:mustUnderstand="0">uuid:3d944f20-9512-11d9-8a18-fc3b90d14cac</wsa:RelatesTo></soapenv:Header><soapenv:Body><soapenv:Fault><faultcode>soapenv:Server.generalException</faultcode><faultstring/><detail><ns1:SubscribeCreationFailedFault
xmlns:ns1="http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.xsd"><ns2:Timestamp
xmlns:ns2="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd">2005-03-15T05:22:37.437Z</ns2:Timestamp><ns3:Originator
xmlns:ns3="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><wsa:Address>https://lnxwsrf4.boeblingen.de.ibm.com:8443/wsrf/services/ReliableFileTransferService</wsa:Address><wsa:ReferenceProperties><ns1:TransferKey
soapenv:mustUnderstand="0"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft">51</ns1:TransferKey></wsa:ReferenceProperties><wsa:ReferenceParameters/></ns3:Originator><ns4:Description
xmlns:ns4="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd">Failed
to acquire resource</ns4:Description><ns5:FaultCause
xmlns:ns5="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns5:Timestamp>2005-03-15T05:22:37.436Z</ns5:Timestamp><ns5:ErrorCode
dialect="http://www.globus.org/fault/stacktrace">org.oasis.wsn.SubscribeCreationFailedFaultType</ns5:ErrorCode><ns5:Description>
        at
org.globus.wsrf.impl.notification.SubscribeHelper.subscribe(SubscribeHelper.java:217)
        at
org.globus.wsrf.impl.notification.SubscribeProvider.subscribe(SubscribeProvider.java:90)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java(Compiled
Code))
        at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
        at
org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384)
        at
org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104)
        at
org.globus.axis.providers.PrivilegedInvokeMethodAction.run(PrivilegedInvokeMethodAction.java:39)
        at java.security.AccessController.doPrivileged1(Native Method)
        at
java.security.AccessController.doPrivileged(AccessController.java(Compiled Code))
        at javax.security.auth.Subject.doAs(Subject.java:555)
        at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
        at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
        at org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94)
        at
org.apache.axis.providers.java.RPCProvider.processMessage(RPCProvider.java:281)
        at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
        at org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450)
        at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
        at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:662)
        at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:393)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124)
        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:297)
</ns5:Description></ns5:FaultCause><ns6:FaultCause
xmlns:ns6="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns6:Timestamp>2005-03-15T05:22:37.444Z</ns6:Timestamp><ns6:ErrorCode
dialect="http://www.globus.org/fault/exception">Bean initialization
failed</ns6:ErrorCode><ns6:Description>javax.naming.NamingException: Bean
initialization failed.  Root exception is javax.naming.NamingException: Bean
security initialization failed.  Root exception is
org.globus.wsrf.security.SecurityException: [SEC] Service credentials not
configured and was not able to obtain container credentials.; nested exception is:
        org.globus.wsrf.security.SecurityException: [SEC] Error obtaining
container credentials; nested exception is:
        org.globus.wsrf.config.ConfigException:  [Caused by: Failed to load key
file: &quot;etc/grid-security/containerkey.pem&quot;]
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:127)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:65)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.globus.wsrf.jndi.JNDIUtils.lookup(JNDIUtils.java:227)
        at
org.globus.wsrf.impl.ResourceHomeImpl.initialize(ResourceHomeImpl.java:200)
        at
org.globus.wsrf.impl.notification.SubscriptionHome.initialize(SubscriptionHome.java:45)
        at
org.globus.wsrf.jndi.BasicBeanFactory.getObjectInstance(BasicBeanFactory.java:35)
        at org.globus.wsrf.jndi.BeanFactory.getInstance(BeanFactory.java:110)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:76)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)

at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at
org.globus.wsrf.impl.notification.SubscribeHelper.subscribe(SubscribeHelper.java:212)
        at
org.globus.wsrf.impl.notification.SubscribeProvider.subscribe(SubscribeProvider.java:90)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java(Compiled
Code))
        at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
        at
org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384)
        at
org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104)
        at
org.globus.axis.providers.PrivilegedInvokeMethodAction.run(PrivilegedInvokeMethodAction.java:39)
        at java.security.AccessController.doPrivileged1(Native Method)
        at
java.security.AccessController.doPrivileged(AccessController.java(Compiled Code))
        at javax.security.auth.Subject.doAs(Subject.java:555)
        at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
        at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
        at org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94)

 at org.apache.axis.providers.java.RPCProvider.processMessage(RPCProvider.java:281)
        at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
        at org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450)
        at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
        at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:662)
        at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:393)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124)
        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:297)
Caused by: org.globus.wsrf.security.SecurityException: [SEC] Error obtaining
container credentials; nested exception is:
        org.globus.wsrf.config.ConfigException:  [Caused by: Failed to load key
file: &quot;etc/grid-security/containerkey.pem&quot;]
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getSystemSubject(SecurityManagerImpl.java:77)
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:124)
        ... 86 more
Caused by: org.globus.wsrf.config.ConfigException:  [Caused by: Failed to load
key file: &quot;etc/grid-security/containerkey.pem&quot;]
        at
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.initCredentials(ContainerSecurityConfig.java:144)
        at
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.refresh(ContainerSecurityConfig.java:231)
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getSystemSubject(SecurityManagerImpl.java:73)
        ... 87 more
Exception in thread "main" Error during startup processing. Caused by AxisFault
 faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.generalException
 faultSubcode:
 faultString:
 faultActor:
 faultNode:
 faultDetail:
       
{http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.xsd}SubscribeCreationFailedFault:<ns2:Timestamp
xmlns:ns2="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd">2005-03-15T05:22:37.437Z</ns2:Timestamp><ns3:Originator
xmlns:ns3="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns2:Address
xmlns:ns2="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://lnxwsrf4.boeblingen.de.ibm.com:8443/wsrf/services/ReliableFileTransferService</ns2:Address><ns4:ReferenceProperties
xmlns:ns4="http://schemas.xmlsoap.org/ws/2004/03/addressing"><ns1:TransferKey
soapenv:mustUnderstand="0"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft"
xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">51</ns1:TransferKey></ns4:ReferenceProperties><ns5:ReferenceParameters
xmlns:ns5="http://schemas.xmlsoap.org/ws/2004/03/addressing"/></ns3:Originator><ns4:Description
xmlns:ns4="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd">Failed
to acquire resource</ns4:Description><ns5:FaultCause
xmlns:ns5="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns5:Timestamp>2005-03-15T05:22:37.436Z</ns5:Timestamp><ns5:ErrorCode
dialect="http://www.globus.org/fault/stacktrace">org.oasis.wsn.SubscribeCreationFailedFaultType</ns5:ErrorCode><ns5:Description>
        at
org.globus.wsrf.impl.notification.SubscribeHelper.subscribe(SubscribeHelper.java:217)
        at
org.globus.wsrf.impl.notification.SubscribeProvider.subscribe(SubscribeProvider.java:90)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java(Compiled
Code))
        at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
        at
org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384)
        at
org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104)
     at
org.globus.axis.providers.PrivilegedInvokeMethodAction.run(PrivilegedInvokeMethodAction.java:39)
        at java.security.AccessController.doPrivileged1(Native Method)
        at
java.security.AccessController.doPrivileged(AccessController.java(Compiled Code))
        at javax.security.auth.Subject.doAs(Subject.java:555)
        at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
        at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
        at org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94)
        at
org.apache.axis.providers.java.RPCProvider.processMessage(RPCProvider.java:281)
        at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319)
        at
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
        at org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450)
        at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
        at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:662)
        at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:393)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124)
        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:297)
</ns5:Description></ns5:FaultCause><ns6:FaultCause
xmlns:ns6="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns6:Timestamp>2005-03-15T05:22:37.444Z</ns6:Timestamp><ns6:ErrorCode
dialect="http://www.globus.org/fault/exception">Bean initialization
failed</ns6:ErrorCode><ns6:Description>javax.naming.NamingException: Bean
initialization failed.  Root exception is javax.naming.NamingException: Bean
security initialization failed.  Root exception is
org.globus.wsrf.security.SecurityException: [SEC] Service credentials not
configured and was not able to obtain container credentials.; nested exception is:
        org.globus.wsrf.security.SecurityException: [SEC] Error obtaining
container credentials; nested exception is:
        org.globus.wsrf.config.ConfigException:  [Caused by: Failed to load key
file: &quot;etc/grid-security/containerkey.pem&quot;]
        at
org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:127)

at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:65)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.apache.naming.SelectorContext.lookup(Unknown Source)
        at javax.naming.InitialContext.lookup(InitialContext.java:361)
        at org.globus.wsrf.jndi.JNDIUtils.lookup(JNDIUtils.java:227)
        at
org.globus.wsrf.impl.ResourceHomeImpl.initialize(ResourceHomeImpl.java:200)
        at
org.globus.wsrf.impl.notification.SubscriptionHome.initialize(SubscriptionHome.java:45)
        at
org.globus.wsrf.jndi.BasicBeanFactory.getObjectInstance(BasicBeanFactory.java:35)
        at org.globus.wsrf.jndi.BeanFactory.getInstance(BeanFactory.java:110)
        at org.globus.wsrf.jndi.BeanFactory.getObjectInstance(BeanFactory.java:76)
        at org.apache.naming.factory.ResourceFactory.getObjectInstance(Unknown
Source)
        at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:314)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)
        at org.apache.naming.SynchronizedContext.lookup(Unknown Source)
        at org.apache.naming.NamingContext.lookup(Unknown Source)


----
------- Comment #1 From 2005-03-30 14:32:33 -------
I believe this is a core issue and a bug has already been filed for this.
------- Comment #2 From 2005-03-31 01:14:56 -------
Could you please specify the bug you mentioned in append #1 ?
Thank you.
------- Comment #3 From 2005-04-12 08:36:56 -------
Which is the bug filed for this problem ?
------- Comment #4 From 2005-04-14 11:31:06 -------
Whatever fixes committed for 2900,2955 fixed this issue too.